Subject: [PATCH] Update python-sqlparse and fix some dependent packages

From: Christopher Baines <[email-masked]>
Date: Fri, 6 Oct 2017 21:20:26 +0100

I tried to update python-sqlparse, but it turns out that quite a few of
the dependant packages were broken already.

I've managed to fix all but one of them. The python-django-mailman3
package still fails to build, I think because it (or at least the
testsuite) is not compatible with python 3.

Christopher Baines (5):
  gnu: django: Fix the build for python-django-gravatar2.
  gnu: django: Fix building python-django-allauth.
  gnu: django: Fix building python2-django-mailman3.
  gnu: python: Disable tests for python-graphene.
  gnu: python: Update python-sqlparse.

 gnu/packages/django.scm | 54 ++++++++++++++++++++++++++++++++++++++++++++++---
 gnu/packages/mail.scm   | 11 ++++++++++
 gnu/packages/python.scm |  7 +++++--
 3 files changed, 67 insertions(+), 5 deletions(-)